

package gov.va.med.cds.mediator.work;


import gov.va.med.cds.junit.runners.Suite;
import gov.va.med.cds.junit.runners.SuiteAwareRunner;

import org.easymock.EasyMock;
import org.junit.Test;
import org.junit.runner.RunWith;


@RunWith( SuiteAwareRunner.class )
public class ReadRequestAuditLogStartWorkTest
{
    @Test
    @Suite( groups = { "checkintest" } )
    public void testDoWork( )
    {
        ReadRequestAuditLogStartWork readRequestAuditLogStartWork = new ReadRequestAuditLogStartWork();

        String wsnStartTimeInMillis = "wsnStartTimeInMillis";
        readRequestAuditLogStartWork.setWsnStartTimeInMillis( wsnStartTimeInMillis );

        WorkStateInterface workStateInterfaceMock = EasyMock.createNiceMock( WorkStateInterface.class );
        //long d = new Date().getTime();
        //EasyMock.expect( workStateInterfaceMock.registerWorkState( wsnStartTimeInMillis,  d) );
        EasyMock.replay( new Object[] { workStateInterfaceMock } );

        readRequestAuditLogStartWork.doWork( workStateInterfaceMock );
    }
}
